QGIS Application - Bug report #19919
QGIS 2.18 faster than QGIS 3.3 DEV in processing
2018-09-22 04:30 PM - salvatore fiandaca

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Processing/Core

Affected QGIS version:3.3(master) Regression?: Yes
Operating System: win 10 - osgeo4w Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 27743
Description

qgis 2.18.24 is more performing than the master version 3.3-0.79

| did various tests with the processing tools and 2.18 is faster than the master, in particular: the processing 'counts points in the polygon':
QGIS 2.18.24 time 90 sec

QGIS DEV time 134 sec

| attach db sqlite with point tables (> 1M points) and polygons

https://mega.nz/#!dYxjSQCY!eP6910MWnyPBQ0zp8aDMYVCBRXQfQEKMJAGdIY5-3Yg

Associated revisions

Revision 93f83a02 - 2018-09-24 09:20 PM - Nyall Dawson

[processing] Remove unnecessary index creation in points in polygons

...and rely instead on the data provider's spatial index.

Refs #19919

Revision 17567ee5 - 2018-09-24 09:21 PM - Nyall Dawson

[processing] Never run feature validity check for point layers

Saves a few cycles. The feature validity checks have no meaning
for point layers.

Refs #19919

History

#1 - 2018-09-23 12:10 AM - Nyall Dawson
- Status changed from Open to Feedback

Is this running a debug build of ggis 3 (eg the nightly builds)? You need to compare against a release build.
https://mega.nz/#!dYxjSQCY!eP69I0MWnyPBQ0zp8aDMYVCBRXQfQEkMJAGd9Y5-3Yg

#2 - 2018-09-23 09:33 AM - salvatore fiandaca

Nyall Dawson wrote:

Is this running a debug build of qgis 3 (eg the nightly builds)? You need to compare against a release build.

| redid the test using the 2.18.24 and 3.2.3,
2.18 is much faster

regards

#3 - 2018-09-24 09:28 AM - Nyall Dawson

What about disabling the geometry validation? (From processing options). Does that fix the regression?

#4 - 2018-09-24 09:50 AM - Nyall Dawson

- Assignee set to Nyall Dawson

#5 - 2018-09-24 10:47 AM - salvatore fiandaca

Nyall Dawson wrote:

What about disabling the geometry validation? (From processing options). Does that fix the regression?

Yes,
now QGIS 3.X is very fast
thank you so much!

#6 - 2018-09-24 10:55 AM - Nyall Dawson

Faster than 2.187? (It should be!) I've got a pr coming in that further optimises this algorithm.

#7 - 2018-09-24 11:39 AM - Giovanni Manghi

Closing?

#8 - 2018-09-24 11:58 AM - Nyall Dawson
- Status changed from Feedback to Closed
- Resolution set to invalid

Yes. But I'd still love to see results for 3.2 with that feature disabled.

#9 - 2018-09-24 12:22 PM - salvatore fiandaca
Nyall Dawson wrote:

Yes. But I'd still love to see results for 3.2 with that feature disabled.
Other comments:
QGIS 3.2 is slow at first use, after a while it resumes and | can not explain why.
test results:
2.18.24 time 90 sec

3.2.3 time 90 sec

but repeating the test several times the results change little.

#10 - 2018-09-26 02:54 PM - salvatore fiandaca

| redid test after PR of Nyall in 3.3 dev

time 52 sec

thanks Nyall

win 10 64 bit
AMD FX-7500 RADEON R7 - 10 Compute cores 4C+6G 2.10 GHz - 8 GB RAM
